Subject: bug#7732: closed (Re: bug#7732: ispell-buffer always gives bogus (0) and (1) choices)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Dec 2010 03:55:02 +0000

Your bug report

#7732: ispell-buffer always gives bogus (0) and (1) choices

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7732: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7732
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7732: ispell-buffer always gives bogus (0) and (1) choices
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 26 Dec 2010 05:59:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Cc: [email-masked], [email-masked]
> Date: Sun, 26 Dec 2010 08:57:03 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> Are you sure ispell-buffer doesn't use aspell or hunspell instead of
> EZ> the real ispell?  What are your values of ispell-really-aspell and
> EZ> ispell-really-hunspell?  In my case, I know that's really ispell that
> EZ> ispell.el invokes, because I don't have the other two installed.
> 
> ispell-really-hunspell nil
> ispell-really-aspell "0.60.6"

That's it: you are actually using aspell inside Emacs.  So I'm closing
this bug.

> $ echo transfered  |/usr/bin/spell # http://en.wiktionary.org/wiki/transfered #misspelling
> $ echo transferred |/usr/bin/spell
> $ echo transferrred|/usr/bin/spell
> transferrred
> 
> $ cat t
> transfered
> $ ispell t

Only the last one is of (casual) interest to this issue, and I cannot
reproduce it: for me, ispell highlights "transfered" as a misspelling
and shows exactly the same choices as inside Emacs.  Maybe you should
do a "type ispell", perhaps there are more surprises there.

Subject: ispell-buffer always gives bogus (0) and (1) choices
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 25 Dec 2010 09:55:36 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Why can't i/flyspell get the order correctly?

$ cat file
transfered
extention
$ ispell file

 0: extension
 1: extent ion
 2: extent-ion

Whereas ispell-buffer always has these bogus (0) and (1) choices:

$ LANG=C LC_ALL=C HOME=/tmp emacs -nw file
M-x ispell-buffer

Affix rules generate and capitalize this word as shown below:
        transfer+ed
Use option `i' to accept this spelling and put it in your private dictionary.(0) transfer ed
(1) transfer-ed  (2) transferred  (3) transferee  (4) transferees  (5) transformed  (6) transversed
(7) transferee's

(0) extent ion  (1) extent-ion  (2) extension  (3) extenuation  (4) extensions  (5) extinction
(6) extortion  (7) extending  (8) extension's  (9) extensional  (:) extenuation's

By the way, why does
$ spell file #and ispell too
not say anything about 'transfered', but in emacs ispell does?
P.S.,
$ dict transfered
No definitions found for "transfered", perhaps you mean:
gcide:  Transferred  Transferee
stardic:  transferred  transferee
xdict:  transferred  transferee
$ apt-show-versions emacs-snapshot
emacs-snapshot/sid uptodate 1:20101212-2
ii  iamerican             3.1.20.0-7            An American English dictionary for ispell
ii  ibritish              3.1.20.0-7            A British English dictionary for ispell
ii  myspell-en-us         1:3.2.1-2             English_american dictionary for myspell
ii  wamerican-huge        6-3                   American English dictionary words for /usr/share/dict